## edu.msu.cme.rdp.classifier.rrnaclassifier
Class HierarchyTreeTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              edu.msu.cme.rdp.classifier.rrnaclassifier.HierarchyTreeTest

All Implemented Interfaces:
  junit.framework.Test

    public class HierarchyTreeTest

extends junit.framework.TestCase

A test class for HierarchyTree.

Constructor Summary
`HierarchyTreeTest(java.lang.String testName)`

Method Summary
`static void` `main(java.lang.String[] args)`
`static junit.framework.Test` `suite()`
`void` `testGetName()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HierarchyTreeTest

    public HierarchyTreeTest(java.lang.String testName)

Method Detail

### main

    public static void main(java.lang.String[] args)

### suite

    public static junit.framework.Test suite()

### testGetName

    public void testGetName()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`